OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_TextureCoordinate2 Class Reference

defines a TextureCoordinate2 node of VRML specifying properties of geometry
and its appearance.
This node defines a set of 2D coordinates to be used to map textures
to the vertices of subsequent PointSet, IndexedLineSet, or IndexedFaceSet
objects. It replaces the current texture coordinates in the rendering
state for the shapes to use.
Texture coordinates range from 0 to 1 across the texture.
The horizontal coordinate, called S, is specified first, followed
by vertical coordinate, T.
By default :
myPoint (0 0)

`#include <Vrml_TextureCoordinate2.hxx>`

## Public Member Functions
Standard_EXPORT | Vrml_TextureCoordinate2 ()
Standard_EXPORT | Vrml_TextureCoordinate2 (const Handle(TColgp_HArray1OfVec2d)&aPoint)
Standard_EXPORT void | SetPoint (const Handle(TColgp_HArray1OfVec2d)&aPoint)
Standard_EXPORT Handle_TColgp_HArray1OfVec2d | Point () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TColgp_HArray1OfVec2d | myPoint

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_TextureCoordinate2::Vrml_TextureCoordinate2 | ( |  | ) |

Standard_EXPORT Vrml_TextureCoordinate2::Vrml_TextureCoordinate2 | ( | const Handle(TColgp_HArray1OfVec2d)& | aPoint | ) |

## Member Function Documentation

Standard_EXPORT const Vrml_TextureCoordinate2::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TColgp_HArray1OfVec2d Vrml_TextureCoordinate2::Point | ( |  | ) | const

Standard_EXPORT Standard_OStream& Vrml_TextureCoordinate2::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_TextureCoordinate2::SetPoint | ( | const Handle(TColgp_HArray1OfVec2d)& | aPoint | ) |

## Field Documentation

Handle_TColgp_HArray1OfVec2d Vrml_TextureCoordinate2::myPoint`[private]`

The documentation for this class was generated from the following file:

- Vrml_TextureCoordinate2.hxx